PYCOQC(1)

NAME
pycoQC - computes metrics and generates interactive QC plots from the sequencing summary report generated by Oxford Nanopore technologies basecallers

DESCRIPTION
usage: pycoQC [-h] [--version]

    [--summary_file [SUMMARY_FILE [SUMMARY_FILE ...]]] [--barcode_file [BARCODE_FILE [BARCODE_FILE ...]]] [--bam_file [BAM_FILE [BAM_FILE ...]]] [--html_outfile HTML_OUTFILE] [--json_outfile JSON_OUTFILE] [--min_pass_qual MIN_PASS_QUAL] [--min_pass_len MIN_PASS_LEN] [--filter_calibration] [--filter_duplicated] [--min_barcode_percent MIN_BARCODE_PERCENT] [--report_title REPORT_TITLE] [--template_file TEMPLATE_FILE] [--config_file CONFIG_FILE] [--sample SAMPLE] [--default_config] [-v | -q]

pycoQC computes metrics and generates interactive QC plots from the sequencing summary report generated by Oxford Nanopore technologies basecallers

* Minimal usage

    pycoQC -f sequencing_summary.txt -o pycoQC_output.html

* Including Guppy barcoding file + html output + json output

    pycoQC -f sequencing_summary.txt -b barcoding_sequencing.txt -o pycoQC_output.html -j pycoQC_output.json

* Including Bam file + html output

    pycoQC -f sequencing_summary.txt -a alignment.bam -o pycoQC_output.html

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

-v, --verbose
    Increase verbosity

-q, --quiet
    Reduce verbosity

  Input/output options:

--summary_file [SUMMARY_FILE [SUMMARY_FILE ...]], -f [SUMMARY_FILE [SUMMARY_FILE ...]]
    Path to a sequencing_summary generated by Albacore 1.0.0 + (read_fast5_basecaller.py) / Guppy 2.1.3+ (guppy_basecaller). One can also pass multiple space separated file paths or a UNIX style regex matching multiple files (Required)

--barcode_file [BARCODE_FILE [BARCODE_FILE ...]], -b [BARCODE_FILE [BARCODE_FILE ...]]
    Path to the barcode_file generated by Guppy 2.1.3+ (guppy_barcoder) or Deepbinner 0.2.0+. This is not a required file. One can also pass multiple space separated file paths or a UNIX style regex matching multiple files (optional)

--bam_file [BAM_FILE [BAM_FILE ...]], -a [BAM_FILE [BAM_FILE ...]]
    Path to a Bam file corresponding to reads in the summary_file. Preferably aligned with Minimap2 One can also pass multiple space separated file paths or a UNIX style regex matching multiple files (optional)

--html_outfile HTML_OUTFILE, -o HTML_OUTFILE
    Path to an output html file report (required if json_outfile not given)

--json_outfile JSON_OUTFILE, -j JSON_OUTFILE
    Path to an output json file report (required if html_outfile not given)

  Filtering options:

--min_pass_qual MIN_PASS_QUAL
    Minimum quality to consider a read as 'pass' (default: 7)

--min_pass_len MIN_PASS_LEN
    Minimum read length to consider a read as 'pass' (default: 0)

--filter_calibration
    If given, reads flagged as calibration strand by the basecaller are removed (default: False)

--filter_duplicated
    If given, duplicated read_ids are removed but the first occurrence is kept (Guppy sometimes outputs the same read multiple times) (default: False)

--min_barcode_percent MIN_BARCODE_PERCENT
    Minimal percent of total reads to retain barcode label. If below, the barcode value is set as `unclassified` (default: 0.1)

  HTML report options:

--report_title REPORT_TITLE
    Title to use in the html report (default: PycoQC report)

--template_file TEMPLATE_FILE
    Jinja2 html template for the html report (default: )

--config_file CONFIG_FILE
    Path to a JSON configuration file for the html report. If not provided, looks for it in ~/.pycoQC and ~/.config/pycoQC/config. If it's still not found, falls back to default parameters. The first level keys are the names of the plots to be included. The second level keys are the parameters to pass to each plotting function (default: )")

  Other options:

--sample SAMPLE
    If not None a n number of reads will be randomly selected instead of the entire dataset for plotting function (deterministic sampling) (default: 100000)

--default_config, -d
    Print default configuration file. Can be used to generate a template JSON file (default: False)

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.